Package com.ocient.metrics

# Enum Class Metric.CounterType

java.lang.Object
java.lang.Enum<Metric.CounterType>
com.ocient.metrics.Metric.CounterType

All Implemented Interfaces:
  `Serializable`, `Comparable<Metric.CounterType>`, `Constable`

Enclosing class:
  Metric<T>

public static enum Metric.CounterType extends Enum<Metric.CounterType>
The different types of counters. Will affect how updates to the stats are calculated for a given counter.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INCREMENTAL_VALUE`
`INSTANTANEOUS_VALUE`

## Method Summary

Modifier and Type
Method
Description
`static Metric.CounterType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Metric.CounterType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INCREMENTAL_VALUE

public static final Metric.CounterType INCREMENTAL_VALUE

### INSTANTANEOUS_VALUE

public static final Metric.CounterType INSTANTANEOUS_VALUE

## Method Details

### values

public static Metric.CounterType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Metric.CounterType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null